<div class="bg-white rounded-xl" [style.animation]="selected_item.id == '' ? 'show_up .2s' : '' ">
    <div class="d-flex align-items-center p-4" *ngIf="selected_item.id == ''">
        <button routerLink="/qldt" mat-icon-button><mat-icon>arrow_back_ios</mat-icon></button>
        <strong>Tạo mới đối tác</strong>
        <button routerLink="/qldt" mat-stroked-button class="ml-auto">Hủy bỏ</button>
        <button mat-raised-button color="primary" class="ml-3 px-5">Lưu lại</button>
    </div>
    
    <form class="p-4">
        <div class="row mb-3">
            <div class="col-6">
                <mat-checkbox [matTooltip]="status.checked ? 'Bỏ check để tạm ngưng' : 'Check để đánh dấu đối tác đang hoạt động'" matTooltipPosition="above" color="primary" [(checked)]="selected_item.active" #status>
                    Trạng thái
                    <span class="text-truncate text-success alert alert-success border-0 rounded p-2" *ngIf="status.checked">Hoạt động</span>
                    <span class="text-truncate text-secondary alert alert-secondary border-0 rounded p-2" *ngIf="!status.checked">Tạm dừng</span>
                </mat-checkbox>
            </div>
        </div>
        <div class="row">
            <div class="{{selected_item.id == '' ? 'col-4 order-2' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Mã đối tác</mat-label>
                    <input matInput type="text" [(value)]="selected_item.id" class="text-uppercase" required>
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-4 order-3' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Loại đối tác</mat-label>
                    <mat-select [(value)]="selected_item.partner_type">
                        <mat-option *ngFor="let item of PARTNERS" [value]="item" >{{item}}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-4 order-1' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Tên đối tác</mat-label>
                    <input type="text" matInput [(value)]="selected_item.name" required>
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-4 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Mã số thuế</mat-label>
                    <input type="text" matInput [(value)]="selected_item.tax">
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-4 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Email</mat-label>
                    <input type="email" matInput [(value)]="selected_item.email">
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-4 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Số điện thoại</mat-label>
                    <input type="text" matInput [(value)]="selected_item.phone">
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-3 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Địa chỉ</mat-label>
                    <input type="text" matInput [(value)]="selected_item.street" required>
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-3 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Quốc gia</mat-label>
                    <mat-select [(value)]="selected_item.country" required>
                        <mat-option value="Việt Nam">Việt Nam</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            
            <div class="{{selected_item.id == '' ? 'col-3 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Thành phố</mat-label>
                    <mat-select [(value)]="selected_item.city" required>
                        <mat-option value="Hồ Chí Minh">Hồ Chí Minh</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="{{selected_item.id == '' ? 'col-3 order-4' : 'col-6'}}">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Quận huyện</mat-label>
                    <mat-select [(value)]="selected_item.district" required>
                        <mat-option *ngFor="let item of DISTRICTS" [value]="item">{{item}}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            
            
            <div class="col-6 order-4">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Domain</mat-label>
                    <input type="text" matInput [(value)]="selected_item.domain">
                </mat-form-field>
            </div>
            
            <div class="col-6 order-4">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Port</mat-label>
                    <input type="text" matInput [(value)]="selected_item.port">
                </mat-form-field>
            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <mat-form-field appearance="outline" class="w-100">
                    <mat-label>Footer</mat-label>
                    <textarea matInput placeholder="Ex. It makes me feel...">{{selected_item.footer}}</textarea>
                </mat-form-field>
            </div>
        </div>
    </form>
</div>